Install the Multi-Domains Plugin

Im trying to install the plugin but i am getting this message

Unpacking the package…
Installing the plugin…
The package could not be installed. No valid plugins were found.
Plugin install failed.

Im running multisite wordpress 3.6.1 trying to install multi-domains 1.2.3